Bug 705106 - Review Request: snakeyaml - YAML parser and emitter for the Java programming language
Summary: Review Request: snakeyaml - YAML parser and emitter for the Java programming ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 709233
Blocks: 561484 709818 710015
TreeView+ depends on / blocked
 
Reported: 2011-05-16 16:22 UTC by Jaromír Cápík
Modified: 2016-02-01 01:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-09 15:16:35 UTC
Type: ---
sochotni: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jaromír Cápík 2011-05-16 16:22:02 UTC
Spec URL: http://jcapik.fedorapeople.org/files/snakeyaml/1/snakeyaml.spec
SRPM URL: http://jcapik.fedorapeople.org/files/snakeyaml/1/snakeyaml-1.8-1.fc14.src.rpm
Description:
Hi. I would appreciate a review for snakeyaml.

SnakeYAML features:
    * a complete YAML 1.1 parser. In particular,
      SnakeYAML can parse all examples from the specification.
    * Unicode support including UTF-8/UTF-16 input/output.
    * high-level API for serializing and deserializing
      native Java objects.
    * support for all types from the YAML types repository.
    * relatively sensible error messages.

Comment 1 Stanislav Ochotnicky 2011-05-17 08:12:22 UTC
I'll do the review

Comment 2 Stanislav Ochotnicky 2011-05-17 09:34:12 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
snakeyaml.noarch: W: spelling-error %description -l en_US deserializing -> de serializing, de-serializing, serializing
snakeyaml.noarch: W: non-conffile-in-etc /etc/maven/fragments/snakeyaml
snakeyaml.src: W: spelling-error %description -l en_US deserializing -> de serializing, de-serializing, serializing
snakeyaml.src: W: invalid-url Source0: http://snakeyaml.googlecode.com/files/SnakeYAML-all-1.8.zip HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Source is downloadable, others are false positives

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM upstream package: 33beba07d4b759864912f51266d633fd
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
You are only running "install" goal, but I notice the pom.xml specifies javadoc plugin run when generating jar files. This should warrant at least a comment in the spec

[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[!]  If source tarball includes bundled jar/class files these need to be removed prior to building
Whole target subdirectory should contain only generated files and so should be removed in %prep. There are also other pre-built *jar files lying around. Clean them up

Sources contain bundled parts of biz.source_code and google gdata. Gdata is already packaged so a proper dependency in pom.xml should fix this. As for biz.source_code Base coder... you'll have to look into it.

[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[x]  Package uses %update_maven_depmap in %post/%postun
[x]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-x86_64

=== Issues ===
1. remove target subdir in %prep
2. other bundled things (gdata, biz base64)
3. javadoc:aggregate goal is not being run but you are using possibly pre-generated javadocs


[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames

Comment 3 Alexander Kurtakov 2011-05-17 13:55:16 UTC
Technically not calling javadoc plugin is not needed because it's hooked to the jar goal in the pom, hence they are properly generated even if not called directly.

Comment 5 Jaromír Cápík 2011-06-07 14:49:48 UTC
new version ... base64coder renamed

Spec URL: http://jcapik.fedorapeople.org/files/snakeyaml/3/snakeyaml.spec
SRPM URL: http://jcapik.fedorapeople.org/files/snakeyaml/3/snakeyaml-1.8-3.fc15.src.rpm

Comment 6 Stanislav Ochotnicky 2011-06-08 11:25:04 UTC
Package looks good now, APPROVED.

Comment 7 Jaromír Cápík 2011-06-08 11:55:49 UTC
New Package SCM Request
=======================
Package Name: snakeyaml
Short Description: YAML parser and emitter for the Java programming language
Owners: jcapik
Branches: f15
InitialCC: java-sig

Comment 8 Gwyn Ciesla 2011-06-08 13:11:05 UTC
Git done (by process-git-requests).

Comment 9 Jaromír Cápík 2011-06-09 15:16:35 UTC
Issue 121 resolved:
http://code.google.com/p/snakeyaml/issues/detail?id=121

The package has been built successfuly:
https://koji.fedoraproject.org/koji/buildinfo?buildID=247086

Thanks for the review and git repo.

Closing.


Note You need to log in before you can comment on or make changes to this bug.